/*
 * Copyright 2011 ECMWF
 *
 * This software was developed at ECMWF for evaluation
 * and may be used for academic and research purposes only.
 * The software is provided as is without any warranty.
 *
 * This software can be used, copied and modified but not
 * redistributed or sold. This notice must be reproduced
 * on each copy made.
 */

#include "util/ftn_serializer.h"

#include "stdlib.h"

namespace util {

// -----------------------------------------------------------------------------

void ftn_serialize(eckit::Stream &s, int nb_datas, void *data) {
  long data_size = nb_datas;
  s.writeBlob(data, data_size);
}

// -----------------------------------------------------------------------------

void ftn_deserialize(eckit::Stream &s, int nb_datas, void *data) {
  long data_size = nb_datas;
  s.readBlob(data, data_size);
}

}  // namespace util
