/*
 * Copyright 2011 ECMWF
 *
 * This software was developed at ECMWF for evaluation
 * and may be used for academic and research purposes only.
 * The software is provided as is without any warranty.
 *
 * This software can be used, copied and modified but not
 * redistributed or sold. This notice must be reproduced
 * on each copy made.
 */

#ifndef UTIL_FTN_SERIALIZER_H_
#define UTIL_FTN_SERIALIZER_H_

#include "eckit/serialisation/Stream.h"

// -----------------------------------------------------------------------------
// These functions provide a Fortran-callable interface to the serializer.
// -----------------------------------------------------------------------------

namespace util {

extern "C" {
void ftn_serialize(eckit::Stream& s, int nb_datas, void* data);
void ftn_deserialize(eckit::Stream& s, int nb_datas, void* data);
}

}  // namespace util
#endif  // UTIL_FTN_SERIALIZER_H_
